Subject: [PATCH 2/7] pm: at91: pm_suspend: add the WFI support for ARMv7

From: [email-masked] (Lorenzo Pieralisi)
Date: Fri, 30 Jan 2015 10:44:11 +0000

On Fri, Jan 30, 2015 at 07:23:21AM +0000, Yang, Wenyou wrote:

[...]

> > > > > +	 */
> > > > > +	isb
> > 
> > This isb should not be there, unless you know a reason why it should and you
> > explain it to me.
> I encountered system lock during verifying the pm function. 
> Anyway, I will tested again whether it works after removing it. 

Re-checked the code flow, I see no reason why this isb should be there.
Adding barriers changes code execution, this might paper over some
issues instead of solving them, so every single barrier should be
commented and added with a specific purpose that I do not see here.

Lorenzo